GitHub source support for Crazyflie 2.1

Discussions about all things Bitcraze
Post Reply
Tengfei Chang
Beginner
Posts: 1
Joined: Sat May 25, 2013 11:02 am

GitHub source support for Crazyflie 2.1

Post by Tengfei Chang » Thu May 16, 2019 8:47 am

Hi all,

I am planning to buy several crazyflies to play with and I found there is two versions of crazyflies right now with different IMUs:

crazyflie 2.1:
3 axis accelerometer / gyroscope (BMI088)
high precision pressure sensor (BMP388)

crazyflie 2.0:
3 axis gyro (MPU-9250)
3 axis accelerometer (MPU-9250)
3 axis magnetometer (MPU-9250)
high precision pressure sensor (LPS25H)

It seems all the bundles are using Crazyflie 2.1 rather than Crazyflie 2.0.

My questions is:
If I bough the Crazyflie 2.1, does the source code on Github support those new IMUs? for example, the driver to use those new IMU?
Thanks!

Tengfei



arnaud
Bitcraze
Posts: 2028
Joined: Tue Feb 06, 2007 12:36 pm

Re: GitHub source support for Crazyflie 2.1

Post by arnaud » Thu May 16, 2019 9:10 am

Yes, the code at https://github.com/bitcraze/crazyflie-firmware does support both Crazyflie 2.0 and Crazyflie 2.1 seamlessly (the correct IMU driver is initialized automatically).

Post Reply